/**
 *  部门考核结果相关接口
 */
import request from '@/api/index'

// 分页列表
export function getListPage(params: object) {
  return request({
    url: '/planQuotaDept/listPage',
    method: 'get',
    params,
  })
}
// 新增
export function getDetail(data: object) {
  return request({
    url: '/planQuotaDept/detail',
    method: 'get',
    data,
    params: data,
  })
}
// 编辑
export function editDept(data: object) {
  return request({
    url: '/planQuotaDept/updateRating',
    method: 'post',
    data,
  })
}
// 导出
export function exportDept(params: object) {
  return request({
    url: '/planQuotaDept/export',
    method: 'get',
    params,
    responseType: 'blob',
  })
}

// 考核态势分析-部门排行
export function deptRanking(params: object) {
  return request({
    url: '/data/deptRanking',
    method: 'get',
    params,
  })
}

export function dataTotal(params: object) {
  return request({
    url: '/data/total',
    method: 'get',
    params,
  })
}

export function levelAnalysis(params: object) {
  return request({
    url: '/data/levelAnalysis',
    method: 'get',
    params,
  })
}
